#
# spec file for package colordiff
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           colordiff
Version:        1.0.21
Release:        1.2
Summary:        Colour-highlighted 'diff' output
License:        GPL-2.0-or-later
URL:            https://www.colordiff.org
Source0:        https://www.colordiff.org/%{name}-%{version}.tar.gz
Source1:        https://www.colordiff.org/%{name}-%{version}.tar.gz.sig
Source2:        https://www.sungate.co.uk/gpgkey_2013.txt#/%{name}.keyring
BuildArch:      noarch

%description
The Perl script colordiff is a wrapper for 'diff' and produces the same
output but with pretty 'syntax' highlighting. Colour schemes can be
customized.

%prep
%autosetup

%build

%install
%make_install INSTALL_DIR=%{_bindir} \
	ETC_DIR=%{_sysconfdir} \
	MAN_DIR=%{_mandir}/man1

%files
%license COPYING
%doc README CHANGES BUGS colordiffrc colordiffrc-lightbg colordiffrc-gitdiff
%config(noreplace) %{_sysconfdir}/colordiffrc
%{_bindir}/*
%{_mandir}/man1/*.1%{?ext_man}

%changelog
* Fri Dec 23 2022 Dirk Müller <dmueller@suse.com>
- update to 1.0.21:
  * Support for Windows C:\ProgramData instead of /etc,
  * improved documentation for command-line options
* Fri Feb 25 2022 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.0.20:
  * Some improvements to reading command-line options
  * Support Octopus git/merge
* Mon Jul 13 2020 Matthias Eliasson <elimat@opensuse.org>
- Update to 1.0.19
  * Add 'difffile' color option, allowing more git-like coloring (separate
    color for header of each changed file).  Thanks Geraint Edwards.
  * Improved portability of Makefile, thanks Michael Osipov.
  * Provide support for 24-bit colour strings, thanks Stephen Wall.
- Run spec-cleaner
  * Drop package groups
- Drop patch colordiff-fix-permission.diff not needed anymore
* Sun Sep 10 2017 aavindraa@gmail.com
- Update to 1.0.18:
  * Ensure --color=no is honoured where appropriate, add
  - -color-term-output-only plus minor fixes.
  * Fix regression which broke piping to less.
- Cleanup with spec-cleaner
* Fri Dec 25 2015 mpluskal@suse.com
- Update to 1.0.16
  * see attached CHANGES for details
- Add gpg signature
* Wed Aug  5 2015 mpluskal@suse.com
- Update to 1.0.15
  * see attached CHANGES for details
* Sat Mar 28 2015 mpluskal@suse.com
- Update to 1.0.13
  * see attached CHANGES for details
- Cleanup spec-file with spec-cleaner
- Update project url
- Use url for source
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Jun  8 2009 mseben@suse.cz
- updated to 1.0.9 version
  - Fix for Debian bug 513313 incorporated.
- set /etc/colordiffrc as config file in spec
* Wed Mar 18 2009 mseben@suse.cz
- updated to 1.0.8a version
- Changes between version 1.0.6a and 1.0.7a
  - Support introduced for 'wdiff' colourising (thanks to Tom Regner)
  - Correctly handles undefined HOME (patches from various people).
  - Support for p4 diffs added by Alexis Layton, plus bug fix for
  blank first lines
- Changes between version 1.0.7a and 1.0.8a
  - Support for numeric colours added, for 256-colour terminals
  (thanks to GautamIyer).
  - Diff-types can now be specified explicitly, for use when
  diff-type detection doesn't work or isn't possible.
  - Return diff's exit code, patch from Tim Connors.  Allow
  extraneous diff text to be coloured separately.
* Sun Jun 24 2007 bwalle@suse.de
- initial SUSE package
